# StylePoint

Multi-functional internal tool for StyleTech

## Setup

### Prerequisites

1.  **Docker**:
    *   **Windows/Mac**: Install [Docker Desktop](https://www.docker.com/products/docker-desktop/) (this is available free, ignore the "Choose Plan" button, and scroll down to the download button).
    *   **Linux**: Install [Docker Engine](https://docs.docker.com/engine/install/).
2.  **Node.js**: Install Node.js version 22. You can download it from the [official Node.js website](https://nodejs.org/) or use a version manager like [volta](https://docs.volta.sh/guide/getting-started)
3.  **pnpm**: Install `pnpm` globally using npm (which comes with Node.js):
    ```bash
    npm install -g pnpm
    ```
4.  **quasar cli**: Install the quasar CLI globally using npm:
    ```bash
    npm install -g @quasar/cli
    ``` 

### Installation

Clone the repository and install the project dependencies using `pnpm`:

```bash
git clone <repository-url>
cd <repository-directory>
pnpm install
```

### Setting up Environment Variables & Compose File
Copy the example `.env.example` file to `.env` and update the values (primarily passwords or access tokens) as required.

Copy the example `docker-compose.example.yml` file to `docker-compose.yml` and update the password as required (matching that set in the `.env` file).

### Running the Development Server

To start the development server, run:

```bash
docker compose up -d
pnpm run dev
```

This will start the PostgreSQL server on `localhost:5432` and the application server accessible at [http://localhost:9100](http://localhost:9100).

I recommend using [Postico](https://eggerapps.io/postico/) for Mac or [pgAdmin](https://www.pgadmin.org/) for Windows to manage the PostgreSQL database.

### Building for Production

To create a production build of the application, run:

```bash
pnpm run build
```

This command compiles and optimizes the application for deployment. The output files are usually placed in the `dist` directory.